::visit Rootjunky.com

::Set our Window Title
@title Gear Live Watch Tool

::Set our default parameters
@echo off
color 0b



:menuLOOP

	call:header
	::Print our header
	::call:header
	
	::Load up our menu selections
	echo.--------------------------------------------------------------------------------
	for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":menu_" "%~f0""') do echo.  %%B  %%C
	
	call:printstatus

	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to exit: ||GOTO:EOF
	echo.&call:menu_%choice%
	
GOTO:menuLOOP

:menu_1    ADB & Fastboot Driver Install and test                
cls
color 0b
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
echo [*] This option will run a program to get your adb and fastboot drivers
echo [*] installed for your Samsung Gear Live watch exit program when done
echo.--------------------------------------------------------------------------------
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":driver_" "%~f0""') do echo.  %%B  %%C
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:driver_%choice%
color 0b	
cls
GOTO:EOF


:driver_1  Install Drivers
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] press any key to start adb driver install
pause >nul
echo.--------------------------------------------------------------------------------
UniversalAdbDriverSetup.msi
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure USB debugging is enabled
echo [*] (device settings/about click on build number 10 times
echo [*] back to settings/developer options enable usb debugging) 
echo [*] connect G Watch via USB charging dock to the computer
echo [*] MAKES SURE YOUR ANTI VERUS IS OFF. 
echo.--------------------------------------------------------------------------------
echo [*] After drivers are installed wait 2 minutes then press any key 
echo [*] to Reboot into bootloader to install fastboot drivers
echo.--------------------------------------------------------------------------------
pause >nul
adb reboot bootloader
echo.--------------------------------------------------------------------------------
echo [*] please wait for drivers to install. give it 2 minutes
echo [*] recommend running the ADB driver test after this install
echo [*] some times a computer reboot is required to finish the driver install
echo.--------------------------------------------------------------------------------
pause >nul
echo [*] RootJunky OUT
fastboot.exe reboot
adb kill-server
	
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:driver_2  ADB & Fastboot Driver Test
cls
color 0b
echo [*] Press any key to check if your drivers are installed
echo [*] correctly. 
echo.--------------------------------------------------------------------------------
pause > nul
echo.--------------------------------------------------------------------------------
echo [*] Is there a device listed under list of devices attached?
echo [*] IF no then exit tool and reboot computer and run the driver  
echo [*] install option again then recheck
ehco [*] If yes then continue test
echo [*] press any key to continue
echo.--------------------------------------------------------------------------------
adb devices
pause > nul
adb reboot bootloader
echo.--------------------------------------------------------------------------------
echo [*] press any key to check fastboot drivers
pause > nul
echo.--------------------------------------------------------------------------------
echo [*] If you see a number with Fastboot after it your drivers are good
echo [*] IF no then reboot computer and run the driver install option 
echo.--------------------------------------------------------------------------------
timeout 4 > nul
fastboot.exe devices
echo [*] press any key to reboot device
echo.--------------------------------------------------------------------------------
pause > nul
fastboot.exe reboot
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:menu_2 Unlock Gear Live Bootloader         (this will factory reset your device)
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Simple Gear Live Watch Tool
echo [*] Windows Version
echo [*] Created by RootJunky.com
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure USB debugging is enabled,
echo [*] (device settings/about then click on build number 10 times
echo [*] back to settings/developer options enable usb debugging) 
echo [*] have the adb drivers installed and your Gear Live Watch
echo [*] connected via USB charging dock to the computer
echo [*] WARNING THIS WILL FACTORY RESET YOUR DEVICE
echo.--------------------------------------------------------------------------------
echo [*] Press any key to unlock your watch bootloader...
pause > nul
echo [*] Waiting for device...
adb wait-for-device
echo [*] Device found.
adb reboot bootloader
echo.--------------------------------------------------------------------------------
echo [*] Press any key to start
pause >nul
fastboot.exe oem unlock
echo.--------------------------------------------------------------------------------
echo [*] on the bootloader screen you can now see the bootloader unlock is true
echo [*] First boot will take up to 10 minutes and boot twice.
echo.--------------------------------------------------------------------------------
echo [*] press any key to reboot the device once unlocked.
pause > nul
fastboot.exe reboot
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:extrasubmenu_%choice%
color 0b	
cls
GOTO:EOF


:menu_3 ReLock Gear Live Bootloader            (unlocked bootloader required)
cls
color 0b	
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure USB debugging is enabled,
echo [*] (device settings/about then click on build number 10 times
echo [*] back to settings/developer options enable usb debugging) 
echo [*] have the adb drivers installed and your Gear Live Watch
echo [*] connected via USB charging dock to the computer
echo.--------------------------------------------------------------------------------
echo [*] Press any key to Relock your watch bootloader...
pause > nul
echo [*] Waiting for device...
adb wait-for-device
echo [*] Device found.
adb reboot bootloader
fastboot.exe oem lock
echo.--------------------------------------------------------------------------------
echo [*] First boot will take up to 5 minutes
echo.--------------------------------------------------------------------------------
echo [*] press any key to reboot the device once locked.
pause > nul
fastboot.exe reboot
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:extrasubmenu_%choice%
color 0b	
cls
GOTO:EOF


:menu_4    Flash just stock wear recovery         (unlocked bootloader required)
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure USB debugging is enabled
echo [*] This will flash stock recovery to your
echo [*] device from fastboot then reboot back to system
echo.--------------------------------------------------------------------------------
echo [*] press any button to continue
pause > nul
echo [*] waiting for device
adb wait-for-device
echo [*] device found
adb reboot bootloader
fastboot.exe flash recovery 78Yrecovery.img
fastboot.exe reboot
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:menu_5    Flash Just Stock wear boot image       (unlocked bootloader required)
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure your device is in bootloader
echo [*] mode. to get into bootloader mode hold the power button on the side
echo [*] and wait for the device to restart. Keep Holding the power button 
echo [*] once you see the Samsung Gear Live Logo swipe your finger from
echo [*] top left corner of the screen bottom right corner and the 
echo [*] bootloader screen will pop up. Now you can restore. 
echo [*] Note you may have to swipe a couple times 
echo.--------------------------------------------------------------------------------
echo [*] now place the watch on the charging dock and connect the dock to
echo [*] your computer and let the device fastboot drivers install
echo.--------------------------------------------------------------------------------
echo [*] Press any key to flash boot image to your Gear Live watch 
pause > nul
fastboot.exe flash boot 78Yboot.img
fastboot.exe reboot
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:menu_6    Restore your Gear Live watch to stock  (unlocked bootloader required)
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Restore Gear Live watch to stock to fix a brick or just return to stock
echo [*] After restore runs you will boot to recovery where you can either 
echo [*] reboot the device or do a factory reset
echo [*] Before continuing, ensure your Gear live Watch is in
echo [*] "Fastboot" mode and connected via USB with the drivers installed.
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure your device is in bootloader
echo [*] mode. to get into bootloader mode hold the power button on the side
echo [*] and wait for the device to restart. Keep Holding the power button 
echo [*] once you see the Samsung Gear Live Logo swipe your finger from
echo [*] top left corner of the screen bottom right corner and the 
echo [*] bootloader screen will pop up. Now you can restore. 
echo [*] Note you may have to swipe a couple times 
echo.--------------------------------------------------------------------------------
echo [*] now place the watch on the charging dock and connect the dock to
echo [*] your computer and let the device fastboot drivers install
echo.--------------------------------------------------------------------------------
echo [*] press any key to continue
pause > nul
fastboot.exe devices
fastboot.exe flash system 78Ysystem.img
fastboot.exe flash boot 78Yboot.img
fastboot.exe flash recovery 78Yrecovery.img
echo.--------------------------------------------------------------------------------
echo [*] swipe down to recovery then swipe right to
echo [*] boot recovery to factory reset the device
echo [*] In recovery you will see a android guy on his back
echo [*] swipe from top left and bottom right of screen again
echo [*] to enter recovery menu. now scroll up and down and swipe
echo [*] right to select factory reset. when done in recovery just reboot.
echo.--------------------------------------------------------------------------------
echo [*] If you dont want to factory reset just swipe right to restart button
echo [*] I recommend fastory resetting device at this point.
echo.--------------------------------------------------------------------------------
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:menu_7    Temp Root your Gear Live               (unlocked bootloader required)
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Big thanks to adam for Modded boot image
echo [*] Make sure USB Debugging is enabled on your watch
echo [*] this will boot a root boot img and you will be in 
echo [*] bootloader mode but adb root commands will work.
echo [*] once you are done with temp root give the device
echo [*] a adb reboot command. if you dont know how to us
echo [*] a command window dont use this root method
echo.--------------------------------------------------------------------------------
echo [*] press any key to start
pause > nul
echo [*]
echo [*] waiting for device
adb wait-for-device...
adb reboot bootloader
fastboot.exe boot rootadb.img
echo.--------------------------------------------------------------------------------
echo [*] to test root on your watch open a command window 
echo [*] type = adb shell
echo [*] if it returns
echo [*] #<-[6n 
echo [*] then you have root access
echo.--------------------------------------------------------------------------------
adb kill-server
echo [*] Press any key to finish this script. ROOTJUNKY OUT

	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
cls	
GOTO:EOF


:menu_8    Flash TWRP recovery                    (unlocked bootloader required)
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] This will flash Team win / TWRP recovery
echo [*] to your device from fastboot. 
echo.--------------------------------------------------------------------------------
echo [*] Press any button to continue
pause > nul
echo [*] waiting for device
adb wait-for-device
echo [*] device found
adb reboot bootloader
fastboot.exe flash recovery openrecovery-twrp-2.7.1.1-sprat.img
echo.--------------------------------------------------------------------------------
echo [*] your device is on the boot menu screen now scoll to Recovery
echo [*] with a swipe down and select with a swipe right to boot to recovery
echo.--------------------------------------------------------------------------------
echo [*] Thats it TWRP recovery is now installed on your Gear Live Watch
echo.--------------------------------------------------------------------------------
adb kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:header  
cls        
color 0e
echo.[////////////////////////////      //////////            //////////////////////]                                                                           
echo.[///////////////////////////  ///   //////////////  ///////////////////////////]                                                                            
echo.[//////////////////////////  ////  //////////////  ////////////////////////////]                                                                    
echo.[/////////////////////////  //   ///////////////  /////////////////////////////]                                       
echo.[////////////////////////  ////  /////////  ///  //////////////////////////////]                                  
echo.[///////////////////////  //////  /////////    ////////////////////////////////]    
echo.                                 RootJunky.com
echo.			     Gear Live Watch Tool V2
echo.			Huge thanks to Adam Outler for root
echo.--------------------------------------------------------------------------------
adb kill-server
adb start-server
echo.--------------------------------------------------------------------------------
adb devices
timeout 5 > nul
fastboot devices
timeout 5 > nul
cls	
color 0b
GOTO:EOF

:printstatus
echo.
echo. Time to unlock the Beast
echo.--------------------------------------------------------------------------------
GOTO:EOF

